<?php

include("config/bd.php");
include("config/pagination.php");
include("config/actions.php");
include("config/blade.php");
include("functions/divers.php");
include("functions/requetes.php");

include("config/actions.php");

include("functions/mail.php");
session_start();



// Quelle est l'action à faire ?
    if (isset($_GET["action"])) {
        $action = $_GET["action"];
    } else {
        $action = "accueil";
    }

// Attention pour les actions spécifiques login
if(isset($_SESSION['id']) == false && array_key_exists($action, $actionsLogin) == false)
    $action = "login";


// Est ce que cette action existe dans la liste des actions
    if (array_key_exists($action, $listeDesActions) == false) {
        echo $blade->make('errors.404');
    } else {
        try {
            include("actions/".$listeDesActions[$action]); // Oui, on la charge
        } catch (Exception $e) {
            echo $e;
        }
    }
