@php
    $count = $pagination['count'];
    $lienPageDeBase = $pagination['lienPageDeBase'];
    $offset = $pagination['offset'];
    $encours = $offset / nbParPages + 1;
    $precedent = $encours - 1;
    $suivant = $encours + 1;
    $dernier = $count / nbParPages + ($count%nbParPages == 0 ? 0 : 1);
@endphp


<b>{{$count}} enregistrement(s)</b><br/>
@if($count > nbParPages)
    <ul class=' pagination pagination-sm'>
        @if($encours > 1)
            <li><a href="{{$lienPageDeBase}}&offset={{$precedent}}">&lsaquo;</a></li>
        @else
            <li class='disabled'><a href="#">&lsaquo;</a></li>
        @endif

        @for ($i = 1; $i <= $dernier; $i = $i + 1)
            <li {{$encours==$i ? "class=active" : ""}}>
                <a href="{{$lienPageDeBase}}&offset={{$i}}">{{$i}}</a>
            </li>

        @endfor
        @if ($encours < $dernier - 1)
            <li><a href="{{$lienPageDeBase}}&offset={{$suivant}}">&rsaquo;</a></li>
        @else
            <li class='disabled'><a href="#">&rsaquo;</a></li>
        @endif

    </ul>
@endif
