<?php
define("nbParPages", 30);


function calculeOffset() {
// OFFSET POUR LA PAGINATION
    if (isset($_GET['offset']) AND is_numeric($_GET['offset'])) {
        $offset = ($_GET['offset'] - 1) * nbParPages;
    } else {
        $offset = 0;
    }

    if ($offset < 0) {
        $offset = 0;
    }
    return $offset;

}


function affichePagination($offset, $count, $lienPageBase) {

    echo "<b>$count enregistrement(s)<br />";
    if($count <= nbParPages) {
        return;
    }
    $encours = $offset / nbParPages + 1;
    $precedent = $encours - 1;
    $suivant = $encours + 1;
    $dernier = $count / nbParPages + ($count%nbParPages == 0 ? 0 : 1);
    echo "<ul  class=' pagination pagination-sm'>";
    if ($encours > 1)
        echo "<li>" . lien($lienPageBase."&offset=$precedent", "&lsaquo;") . "</li>";
    else
        echo "<li class='disabled'>" . lien($lienPageBase."&offset=$precedent", "&lsaquo;") . "</li>";

    for ($i = 1; $i <= $dernier; $i = $i + 1) {
        if ($encours == $i) {
            $active = "class='active'";
        } else {
            $active = "";
        }
        echo "<li $active>" . lien("$lienPageBase&offset=$i", $i) . "</li>";
    }
    if ($encours < $dernier - 1)
        echo "<li>" . lien("$lienPageBase&offset=$suivant", "&rsaquo;") . "</li>";
    else
        echo "<li class='disabled'>" . lien("#", "&rsaquo;") . "</li>";

    echo "</ul>";
}