<?php 
    $count = $pagination['count'];
    $lienPageDeBase = $pagination['lienPageDeBase'];
    $offset = $pagination['offset'];
    $encours = $offset / nbParPages + 1;
    $precedent = $encours - 1;
    $suivant = $encours + 1;
    $dernier = $count / nbParPages + ($count%nbParPages == 0 ? 0 : 1);
 ?>


<b><?php echo e($count); ?> enregistrement(s)</b><br/>
<?php if($count > nbParPages): ?>
    <ul class=' pagination pagination-sm'>
        <?php if($encours > 1): ?>
            <li><a href="<?php echo e($lienPageDeBase); ?>&offset=<?php echo e($precedent); ?>">&lsaquo;</a></li>
        <?php else: ?>
            <li class='disabled'><a href="#">&lsaquo;</a></li>
        <?php endif; ?>

        <?php for($i = 1; $i <= $dernier; $i = $i + 1): ?>
            <li <?php echo e($encours==$i ? "class=active" : ""); ?>>
                <a href="<?php echo e($lienPageDeBase); ?>&offset=<?php echo e($i); ?>"><?php echo e($i); ?></a>
            </li>

        <?php endfor; ?>
        <?php if($encours < $dernier - 1): ?>
            <li><a href="<?php echo e($lienPageDeBase); ?>&offset=<?php echo e($suivant); ?>">&rsaquo;</a></li>
        <?php else: ?>
            <li class='disabled'><a href="#">&rsaquo;</a></li>
        <?php endif; ?>

    </ul>
<?php endif; ?>
